# 3. Poizvedba: pridobi »SatelliteImages«

Pridobite "SatelliteImages" z določenim pragom oblačnosti za "Field".

Namigi:&#x20;

* Preberite vse "Farms", dostopne za "User" - odstranite *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Podobno delo z "Fields", "SatelliteImages", "VectorAnalysisMap".
* Dovoljeno `geoMapType` filtrirajte z sprejemljivimi vrednostmi: `VSE`, `IZVOR`, `OBREZANO`, `SUROVO`, `OBDELANO`, `SLIKA_PRIBLIŽEK`, `KONTRAST`
* Dovoljeni filtri, povezani z datumom: `pred` in `po` ki pripadajo [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) format. Možno je uporabiti le enega od filtrov. Več podrobnosti je [TUKAJ](/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/37.-poizvedba-pridobi-satelliteimages-v-dolocenem-intervalu.md).
* Dovoljeno `provider` filtrirajte z sprejemljivimi vrednostmi: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Dovoljeno `prag` filter poudarja pokritost z oblaki: "1" pomeni brez oblakov, "0" - popolnoma oblačno.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    ime
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      ime
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          kratkoIme
          url
          razredi
          hexBarvneKode
        }
        ndviAverage
        
        statistika {
          indeks
          min
          max
          avg
          mdn
          var
          std
        }
        
        priporočenoZaVečletnoAnalitiko 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    polja {
      uuid
      ime
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          kratkoIme
          url
          razredi
          hexBarvneKode
        }
        ndviAverage
        
        statistika {
          indeks
          min
          max
          avg
          mdn
          var
          std
        } 
        
        priporočenoZaVečletnoAnalitiko
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/3.-poizvedba-pridobi-satelliteimages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
